Subject: Re: [PATCH 000/173] ALSA/ASoC: Convert to platform remove callback returning void

From: Takashi Iwai <[email-masked]>
Date: Thu, 16 Mar 2023 10:32:08 +0100

On Wed, 15 Mar 2023 16:04:52 +0100,
Uwe Kleine-König wrote:
> 
> Hello,
> 
> this series adapts the platform drivers below sound/ to use the .remove_new()
> callback. Compared to the traditional .remove() callback .remove_new() returns
> no value. This is a good thing because the driver core doesn't (and cannot)
> cope for errors during remove. The only effect of a non-zero return value in
> .remove() is that the driver core emits a warning. The device is removed anyhow
> and an early return from .remove() usually yields a resource leak.
> 
> By changing the remove callback to return void driver authors cannot
> reasonably assume any more that there is some kind of cleanup later.
> 
> The first two patches simplify a driver each to return zero unconditionally,
> and then all drivers are trivially converted to .remove_new().
> 
> There are nearly no interdependencies in this patch set---only 1 <- 11 and
> 2 <- 16. So even if some individual problems are found (I don't expect that),
> the other patches can (and from my POV should) still be applied.
> 
> Best regards
> Uwe
> 
> Uwe Kleine-König (173):
(snip)

For the whole series,

Acked-by: Takashi Iwai <[email-masked]>

thanks,

Takashi